package com.aucma.report.service.impl;

import com.aucma.report.domain.BasePdaRecord;
import com.aucma.report.mapper.GeneralReportMapper;
import com.aucma.report.service.IProductionReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PDA管理Service业务层处理
 *
 * @author Yinq
 * @date 2023-11-21
 */
@Service
public class ProductionReportServiceImpl implements IProductionReportService {
    @Autowired
    private GeneralReportMapper reportMapper;

    /**
     * 查询清单率报表
     */
    @Override
    public List<HashMap<String, Object>> inventoryRateReportList(Map hashMap) {
        return reportMapper.inventoryRateReportList(hashMap);
    }

    /**
     * 查询生产执行报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> productionExecutionReportList(Map hashMap) {
        return reportMapper.productionExecutionReportList(hashMap);
    }

    /**
     * 查询在制品查询报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> WIPInquiryReportList(Map hashMap) {
        return reportMapper.WIPInquiryReportList(hashMap);
    }

    /**
     * 扫描下线记录报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> ScanOfflineRecordReportList(Map hashMap) {
        return reportMapper.ScanOfflineRecordReportList(hashMap);
    }

    /**
     * 发泡注料记录报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> foamFillingRecordReportList(Map hashMap) {
        return reportMapper.foamFillingRecordReportList(hashMap);
    }


}
